Page 1 of 1

Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 12 Sep 2016, 15:34
by l.canalesmayo
Hi,

When I use "menu" component from Volt template I got this Javascript Error:

Widget not available: Volt

This happens with Volt 2.1.1 an Primefaces 6.X. This doesn't happen with Volt 2.1 and Primefaces 5.3.17.

Thanks in advance.

Re: Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 29 Sep 2016, 09:10
by aragorn
I think this issue is fixed on next version; #106
On next version, please use PF('Volt').method() instead of Volt.method() in p:menuitems or your custom JS methods.

Re: Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 18 Oct 2016, 12:42
by l.canalesmayo
Hi,

this error still happens with Volt 2.1.2 and Primefaces 6.0.6.

Could you fix it?

Thanks.

Re: Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 18 Oct 2016, 12:48
by l.canalesmayo
Hi,

I think error is in VoltMenuRenderer class:

@Override
protected void encodeScript(FacesContext context, AbstractMenu abstractMenu) throws IOException {
VoltMenu menu = (VoltMenu) abstractMenu;
String clientId = menu.getClientId(context);
WidgetBuilder wb = getWidgetBuilder(context);
wb.initWithDomReady("Volt", menu.resolveWidgetVar(), clientId).finish();
}

Thanks.

Re: Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 18 Oct 2016, 16:31
by aragorn

Re: Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 19 Oct 2016, 08:22
by l.canalesmayo
Fixed in new Volt Version.

Re: Volt 2.1.1 + Primefaces 6.0.4 Javascript Error

Posted: 21 Oct 2016, 14:50
by aragorn
Thanks for the update!